<?php

namespace App\Http\Controllers;
use App\Models\User;
use Auth;
use DB;
use App\Models\AssignForm;
use App\Models\Form;
use Illuminate\Http\Request;
use App\Models\ChecklistForm;
use App\Models\Step;

class AssignFormController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Index resource
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function index() {
 
    }


    public function indexaform($id){
        //return $id;
        $stepid=$id;
        $forms= Form::select('id','title')->get();
        $steps= AssignForm::where('stepId',$id)->with('formdetail')->paginate(10);
        return view('assignform.index',compact('steps','stepid','forms'));
    }

    public function createaform(Request $request,$id){
        //return $id;
        $stepid=$id;
        $forms= Form::select('id','title')->get();
        //$users=User::get();
        return view('assignform.create',compact('stepid','forms'));
    }




    /**
     * Get single resource
     *
     * @param CompanyMaster $companymaster
     *
     * @return \Illuminate\Http\JsonResponse
     */

    public function store(Request $request ) {
        //return $request;
        AssignForm::create($request->except('_token'));

        $form= Form::where('id',$request->formId)->first();
       $steps=Step::where('id',$request->stepId)->select('id','stageId','userGroup')->first();

        $chform['step_id']=$request->stepId;
        $chform['stage_id']=$steps->stageId;
        $chform['user_id']=$steps->userGroup;
        $chform['form_id']=$request->formId;
        $chform['formsfield']=$form->formsfield;
        //return  $chform;
        ChecklistForm::create($chform);
        return redirect()->back();
    }


    public function edit($id){
        //return $id;
        $forms= Form::select('id','title')->get();
        $assign= AssignForm::where('id',$id)->first();


        return view('assignform.edit',compact('assign','forms'));
    }

    public function show($id) {

       
    }

    /**
     * Update single resource
     *
     * @param ClientStoreRequest $request
     * @param Client $client
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function update( Request $request,$id) {
        //return $request;
        AssignForm::where('id',$id)->update($request->except('_token','_method'));
        return redirect()->back();
    }

    /**
     * Store new resource
     *
     * @param ClientStoreRequest $request
     *
     * @return \Illuminate\Http\JsonResponse
     */
    

    /**
     * Destroy single resource
     *
     * @param CompanyMaster $companymaster
     *
     * @return \Illuminate\Http\JsonResponse
     * @throws \Exception
     */

    public function assigndelete(Request $request, $id)
    {
        //return  $request;
        try{
            $post = AssignForm::where('id',$id)->delete();
            return \Response::json(["status" => "success", "message" => "AssignForm delete"]);
        }catch (Exception $e) {
            return \Response::json(["status" => "danger", "message" => $e->getMessage()]);
        }

    }
    public function destroy($id) {
       
       
    }

    /**
     * Destroy resources by ids
     *
     * @param Request $request
     *
     * @return \Illuminate\Http\JsonResponse
     * @throws \Exception
     */
}
